Kubernetes
Scale or update node pool
patch
/kubernetes/{cluster_uuid}/node-pools/{pool_uuid}Change the number of workers, labels, or taints for a node pool.
Autorización
Authorization
Authorization*string
Bearer YOUR_API_TOKEN con un token de API. También vale la cabecera X-API-Key: YOUR_API_TOKEN.
Parámetros de ruta
cluster_uuid*string
pool_uuid*string
Cuerpo de la petición
application/jsonObligatorio
name?string | null
Rango
1 ≤ length ≤ 100Rangopattern ^[a-z0-9]([a-z0-9-]*[a-z0-9])?$desired_nodes?integer | null
Rango
1 ≤ value ≤ 100min_nodes?integer | null
Rango
1 ≤ value ≤ 100max_nodes?integer | null
Rango
1 ≤ value ≤ 100auto_scale?boolean | null
labels?record<string, string> | null
taints?array<TaintSpec> | null
Propiedades (3)
key*string
Rango
1 ≤ length ≤ 253value*string
Rango
length ≤ 63effect*string
Valores
"NoSchedule""PreferNoSchedule""NoExecute"Respuestas
Successful Response
application/json
detail*string